Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155114 - CAN-2005-0752 Multiple firefox issues. (CAN-2005-0989)
Summary: CAN-2005-0752 Multiple firefox issues. (CAN-2005-0989)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: impact=important,public=20050415,sour...
: 155358 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-16 14:43 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-21 09:11:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:383 normal SHIPPED_LIVE Important: firefox security update 2005-04-21 04:00:00 UTC

Description Josh Bressers 2005-04-16 14:43:17 UTC
Firefox 1.0.3 has been released.  The following issues have been fixed
http://www.mozilla.org/projects/security/known-vulnerabilities.html

MFSA 2005-33  Javascript "lambda" replace exposes memory contents
            CAN-2005-0989
MFSA 2005-34 javascript: PLUGINSPAGE code execution
            CAN-2005-0752
MFSA 2005-35 Showing blocked javascript: popup uses wrong privilege context
MFSA 2005-36 Cross-site scripting through global scope pollution
MFSA 2005-37 Code execution through javascript: favicons
MFSA 2005-38 Search plugin cross-site scripting
MFSA 2005-39 Arbitrary code execution from Firefox sidebar panel II
MFSA 2005-40 Missing Install object instance checks
MFSA 2005-41 Privilege escalation via DOM property overrides

I'll fill in the rest of the CVE id's when they arrive.

Comment 1 Mark J. Cox 2005-04-21 09:11:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-383.html


Comment 2 Josh Bressers 2005-04-21 13:56:25 UTC
*** Bug 155358 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.